---
title: circo
weight: 5
description: >
  [circular layout](https://en.wikipedia.org/wiki/Circular_layout).
---
After Six and Tollis 1999[^1][^2], Kauffman and Wiese 2002[^3].

This is suitable for certain diagrams of multiple cyclic structures, such as
certain telecommunications networks.

- [PDF Manual](/pdf/dot.1.pdf)
- [Browse code](https://gitlab.com/graphviz/graphviz/-/tree/main/lib/circogen)

<p style="text-align: center;">
  <img src="/Gallery/undirected/honda-tokoro.circo.png">
</p>
<h2>Attributes for circo features</h2>
<ul>
{{< partial attr-li "mindist">}}
{{< partial attr-li "root">}}
{{< partial attr-li "oneblock">}}
</ul>
<br/>

[^1]: [Six J.M., Tollis I.G. (1999) A Framework for Circular Drawings of Networks. In: Kratochvíyl J. (eds) Graph Drawing. GD 1999. Lecture Notes in Computer Science, vol 1731. Springer, Berlin, Heidelberg.](https://doi.org/10.1007/3-540-46648-7_11)
[^2]: [Six J.M., Tollis I.G. (1999) Circular Drawings of Biconnected Graphs. In: Goodrich M.T., McGeoch C.C. (eds) Algorithm Engineering and Experimentation. ALENEX 1999. Lecture Notes in Computer Science, vol 1619. Springer, Berlin, Heidelberg.](https://doi.org/10.1007/3-540-48518-X_4)
[^3]: [Michael Kaufmann, Roland Wiese (2002) Embedding Vertices at Points: Few Bends suffice for Planar Graphs. In: Journal of Graph Algorithms and Applications. vol. 6, no. 1, pp. 115–129](https://doi.org/10.1142/9789812796608_0005)

